io.etcd.jetcd.api

## Class ClusterGrpc.ClusterFutureStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractFutureStub<ClusterGrpc.ClusterFutureStub>
    - - io.etcd.jetcd.api.ClusterGrpc.ClusterFutureStub

Enclosing class:
  ClusterGrpc

    public static final class ClusterGrpc.ClusterFutureStub
    extends io.grpc.stub.AbstractFutureStub<ClusterGrpc.ClusterFutureStub>

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ClusterGrpc.ClusterFutureStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.common.util.concurrent.ListenableFuture<MemberAddResponse>` `memberAdd(MemberAddRequest request)` MemberAdd adds a member into the cluster.
`com.google.common.util.concurrent.ListenableFuture<MemberListResponse>` `memberList(MemberListRequest request)` MemberList lists all the members in the cluster.
`com.google.common.util.concurrent.ListenableFuture<MemberRemoveResponse>` `memberRemove(MemberRemoveRequest request)` MemberRemove removes an existing member from the cluster.
`com.google.common.util.concurrent.ListenableFuture<MemberUpdateResponse>` `memberUpdate(MemberUpdateRequest request)` MemberUpdate updates the member configuration.

### Methods inherited from class io.grpc.stub.AbstractFutureStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected ClusterGrpc.ClusterFutureStub build(io.grpc.Channel channel,
                                                  io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<ClusterGrpc.ClusterFutureStub>`

#### memberAdd

    public com.google.common.util.concurrent.ListenableFuture<MemberAddResponse> memberAdd(MemberAddRequest request)

     MemberAdd adds a member into the cluster.

#### memberRemove

    public com.google.common.util.concurrent.ListenableFuture<MemberRemoveResponse> memberRemove(MemberRemoveRequest request)

     MemberRemove removes an existing member from the cluster.

#### memberUpdate

    public com.google.common.util.concurrent.ListenableFuture<MemberUpdateResponse> memberUpdate(MemberUpdateRequest request)

     MemberUpdate updates the member configuration.

#### memberList

    public com.google.common.util.concurrent.ListenableFuture<MemberListResponse> memberList(MemberListRequest request)

     MemberList lists all the members in the cluster.